## grib-api 1.14.7

=== CMakeLists.txt ===
############################################################################################
# cmake options:
#
#       -DCMAKE_BUILD_TYPE=Debug|RelWithDebInfo|Release|Production
#       -DCMAKE_INSTALL_PREFIX=/path/to/install
#
#       -DCMAKE_MODULE_PATH=/path/to/ecbuild/cmake

cmake_minimum_required( VERSION 2.8.11 FATAL_ERROR )

project( grib_api C )

set( CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/../ecbuild/cmake")

include( ecbuild_system )

ecbuild_requires_macro_version( 1.7 )

###############################################################################
# local project

ecbuild_declare_project()

###############################################################################
# some variables/options of this project

ecbuild_add_option( FEATURE EXAMPLES
    DESCRIPTION "Build the examples"
    DEFAULT ON
)

ecbuild_add_option( FEATURE JPG
    DESCRIPTION "support for JPG decoding/encoding"
    DEFAULT ON
)

ecbuild_add_option( FEATURE PNG
    DESCRIPTION "support for PNG decoding/encoding"
    DEFAULT OFF
    REQUIRED_PACKAGES PNG
)

if( HAVE_PNG )
    set( HAVE_LIBPNG 1 ) # compatibility with autotools
    add_definitions( ${PNG_DEFINITIONS} )
else()
    set( HAVE_LIBPNG 0 )
endif()

ecbuild_add_option( FEATURE NETCDF
    DESCRIPTION "support for GRIB to NetCDF conversion"
    DEFAULT ON
    REQUIRED_PACKAGES NetCDF
)

ecbuild_add_option( FEATURE AEC
    DESCRIPTION "support for Adaptive Entropy Coding"
    DEFAULT OFF
    REQUIRED_PACKAGES AEC
)

ecbuild_add_option( FEATURE PYTHON
    DESCRIPTION "build the GRIB_API Python interface"
    DEFAULT ON
	# REQUIRED_LANGUAGES Python # TODO
)

ecbuild_add_option( FEATURE FORTRAN
    DESCRIPTION "build the GRIB_API Fortran interface"
    DEFAULT ON
	# REQUIRED_LANGUAGES Fortran # TODO
)

# TODO Remove this after REQUIRED_LANGUAGES
if( ENABLE_FORTRAN )
    # will set EC_HAVE_FORTRAN with the result
    ecbuild_enable_fortran( MODULE_DIRECTORY ${PROJECT_BINARY_DIR}/fortran/modules )
    set( HAVE_FORTRAN ${EC_HAVE_FORTRAN} )
else()
	set( HAVE_FORTRAN 0 )
endif()

# advanced options (not visible in cmake-gui )

ecbuild_add_option( FEATURE MEMORY_MANAGEMENT DESCRIPTION "enable memory management" DEFAULT OFF ADVANCED )
ecbuild_add_option( FEATURE ALIGN_MEMORY      DESCRIPTION "enable memory alignment"  DEFAULT OFF ADVANCED )

ecbuild_add_option( FEATURE GRIB_TIMER       DESCRIPTION "enable timer"   DEFAULT OFF ADVANCED )
ecbuild_add_option( FEATURE GRIB_THREADS     DESCRIPTION "enable threads" DEFAULT OFF ADVANCED )

###############################################################################
# macro processing

set( GRIB_API_EXTRA_LIBRARIES    "" )
set( GRIB_API_EXTRA_INCLUDE_DIRS "" )
set( GRIB_API_EXTRA_DEFINITIONS  "" )

find_package( CMath )

### JPG support

set( HAVE_JPEG 0 )
set( HAVE_LIBJASPER 0 )
set( HAVE_LIBOPENJPEG 0 )

if( ENABLE_JPG )

    ecbuild_add_extra_search_paths( jasper ) # help standard cmake macro with ecmwf paths
    find_package( Jasper )

    find_package( OpenJPEG )

    if( JASPER_FOUND )
        set( HAVE_JPEG 1 )
        set( HAVE_LIBJASPER 1 )
    endif()

    if( OpenJPEG_FOUND )
        set( HAVE_JPEG 1 )
        set( HAVE_LIBOPENJPEG 1 )
    endif()

endif()


###############################################################################
# other options

if( GRIB_TIMER )
    set( GRIB_TIMER 1 )
else()
    set( GRIB_TIMER 0 )
endif()

set( IS_BIG_ENDIAN 0 )
if( EC_BIG_ENDIAN )
    set( IS_BIG_ENDIAN 1 )
endif()

set( MANAGE_MEM 0 )
if( ENABLE_MEMORY_MANAGEMENT )
    set( MANAGE_MEM 1 )
endif()

set( CMAKE_THREAD_PREFER_PTHREAD 1 ) # find thread library, but prefer pthreads
find_package(Threads REQUIRED)

# debug
message(STATUS " CMAKE_THREAD_LIBS_INIT=${CMAKE_THREAD_LIBS_INIT}")
message(STATUS " CMAKE_USE_PTHREADS_INIT=${CMAKE_USE_PTHREADS_INIT}")
message(STATUS " GRIB_THREADS=${GRIB_THREADS}, HAVE_GRIB_THREADS=${HAVE_GRIB_THREADS}")

if( NOT ${CMAKE_USE_PTHREADS_INIT} )
    message( FATAL_ERROR "Only pthreads supported - thread library found is [${CMAKE_THREAD_LIBS_INIT}]" )
endif()

set( GRIB_PTHREADS 0 )
set( GRIB_LINUX_PTHREADS 0 )
#if( HAVE_GRIB_THREADS AND CMAKE_THREAD_LIBS_INIT )
if( HAVE_GRIB_THREADS )
    if( CMAKE_USE_PTHREADS_INIT )
        set( GRIB_PTHREADS 1 )
        if( ${CMAKE_SYSTEM_NAME} MATCHES "Linux" )
            set( GRIB_LINUX_PTHREADS 1 )
        endif()
    endif()
endif()
message(STATUS " GRIB_PTHREADS=${GRIB_PTHREADS}")

set( GRIB_MEM_ALIGN 0 )
if( ENABLE_ALIGN_MEMORY )
  set( GRIB_MEM_ALIGN 1 )
endif()

# fix for #if IEEE_LE or IEE_BE instead of #ifdef

if( IEEE_BE )
    set( IEEE_LE 0 )
endif()

if( IEEE_LE )
    set( IEEE_BE 0 )
endif()

###############################################################################
# contents

if( NOT ${DEVELOPER_MODE} )
    set( grib_api_default_data_prefix ${CMAKE_INSTALL_PREFIX} )
else()
    set( grib_api_default_data_prefix ${CMAKE_BINARY_DIR} )
endif()

if( NOT DEFINED GRIB_API_DEFINITION_PATH )
    set( GRIB_API_DEFINITION_PATH ${grib_api_default_data_prefix}/share/grib_api/definitions )
endif()
if( NOT DEFINED GRIB_API_SAMPLES_PATH )
    set( GRIB_API_SAMPLES_PATH ${grib_api_default_data_prefix}/share/grib_api/samples )
endif()
if( NOT DEFINED GRIB_API_IFS_SAMPLES_PATH )
    set( GRIB_API_IFS_SAMPLES_PATH ${grib_api_default_data_prefix}/share/grib_api/ifs_samples )
endif()

### config header

ecbuild_generate_config_headers()

configure_file( grib_api_config.h.in grib_api_config.h )

add_definitions( -DHAVE_GRIB_API_CONFIG_H )

install( FILES ${CMAKE_CURRENT_BINARY_DIR}/grib_api_config.h DESTINATION ${INSTALL_INCLUDE_DIR} )

if( CMAKE_COMPILER_IS_GNUCC )
    cmake_add_c_flags("-pedantic")
endif()

############################################################################################
# contents

### export package to other ecbuild packages

set( GRIB_API_TPLS            AEC PNG Jasper OpenJPEG CMath )
set( GRIB_API_INCLUDE_DIRS    ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/src ${CMAKE_CURRENT_BINARY_DIR}/src )
set( GRIB_API_LIBRARIES       grib_api )

get_directory_property( COMPILE_DEFINITIONS GRIB_API_DEFINITIONS )

foreach( _tpl ${GRIB_API_TPLS} )
    string( TOUPPER ${_tpl} TPL )
    if( ${TPL}_FOUND )
        list( APPEND GRIB_API_EXTRA_DEFINITIONS   ${${TPL}_DEFINITIONS} )
        list( APPEND GRIB_API_EXTRA_INCLUDE_DIRS  ${${TPL}_INCLUDE_DIRS} ${${TPL}_INCLUDE_DIR} )
        list( APPEND GRIB_API_EXTRA_LIBRARIES     ${${TPL}_LIBRARIES} )
    endif()
endforeach()

### include directories

include_directories( ${GRIB_API_INCLUDE_DIRS}  ${GRIB_API_EXTRA_INCLUDE_DIRS} )

add_subdirectory( src )
add_subdirectory( tools )
add_subdirectory( fortran )
add_subdirectory( python )
add_subdirectory( definitions )
add_subdirectory( tests )
add_subdirectory( tigge )
add_subdirectory( examples )
add_subdirectory( data )
add_subdirectory( samples )
add_subdirectory( ifs_samples ) # must come after samples

# ecbuild_dont_pack( DIRS samples DONT_PACK_REGEX "*.grib" )
ecbuild_dont_pack( DIRS
     concepts tests.ecmwf doxygen examples.dev templates sms parameters java
     gaussian_experimental gribex examples/F77
     examples/extra bamboo definitions/bufr use fortran/fortranCtypes tigge/tools share/grib_api
     src/.deps tests/.deps tools/.deps tigge/.deps examples/C/.deps examples/python/.deps
     python/.deps fortran/.deps
)

add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

############################################################################################
# export to other projects

# temporary -- add support for ecbuild 1.0.x sub-project inclusion
# to remove once mars server & client use eckit & ecbuild >= 1.1

if( EC_HAVE_FORTRAN )
    list( APPEND GRIB_API_INCLUDE_DIRS  ${CMAKE_Fortran_MODULE_DIRECTORY} )
    list( APPEND GRIB_API_LIBRARIES grib_api_f77 grib_api_f90 )
endif()

if( NOT PROJECT_NAME STREQUAL CMAKE_PROJECT_NAME )
    set( GRIB_API_DEFINITIONS     ${GRIB_API_DEFINITIONS}  PARENT_SCOPE )# includes already TPL definitions
    set( GRIB_API_INCLUDE_DIRS    ${GRIB_API_INCLUDE_DIRS} ${GRIB_API_EXTRA_INCLUDE_DIRS} PARENT_SCOPE )
    set( GRIB_API_LIBRARIES       ${GRIB_API_LIBRARIES}    ${GRIB_API_EXTRA_LIBRARIES} ${CMATH_LIBRARIES} PARENT_SCOPE )
    set( GRIB_API_FOUND           TRUE PARENT_SCOPE )
    set( GRIB_API_SAMPLES_PATH     ${GRIB_API_SAMPLES_PATH} PARENT_SCOPE )
    set( GRIB_API_IFS_SAMPLES_PATH ${GRIB_API_IFS_SAMPLES_PATH} PARENT_SCOPE )
    set( GRIB_API_DEFINITION_PATH  ${GRIB_API_DEFINITION_PATH} PARENT_SCOPE )
endif()

# pkg-config
ecbuild_pkgconfig(
  NAME                grib_api
  URL                 "https://software.ecmwf.int/wiki/display/GRIB/"
  DESCRIPTION         "The GRIB API library"
  LIBRARIES           grib_api
  VARIABLES           HAVE_JPG HAVE_LIBJASPER HAVE_GRIB_THREADS HAVE_NETCDF
                      HAVE_PYTHON HAVE_FORTRAN HAVE_PNG HAVE_AEC
)
if( EC_HAVE_FORTRAN )
 ecbuild_pkgconfig(
   NAME                grib_api_f90
   URL                 "https://software.ecmwf.int/wiki/display/GRIB/"
   LIBRARIES           grib_api_f90 grib_api
   DESCRIPTION         "The GRIB API library for Fortran 90"
   IGNORE_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/fortran ${PROJECT_BINARY_DIR}/fortran
   VARIABLES           HAVE_JPG HAVE_LIBJASPER HAVE_GRIB_THREADS HAVE_NETCDF
                       HAVE_PYTHON HAVE_PNG HAVE_AEC
 )
  ecbuild_pkgconfig(
   NAME                grib_api_f77
   URL                 "https://software.ecmwf.int/wiki/display/GRIB/"
   LIBRARIES           grib_api_f77 grib_api
   DESCRIPTION         "The GRIB API library for Fortran 77"
   IGNORE_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/fortran ${PROJECT_BINARY_DIR}/fortran
   VARIABLES           HAVE_JPG HAVE_LIBJASPER HAVE_GRIB_THREADS HAVE_NETCDF
                       HAVE_PYTHON HAVE_PNG HAVE_AEC
 )
endif()

############################################################################################
# finalize

ecbuild_install_project( NAME ${CMAKE_PROJECT_NAME} )

ecbuild_print_summary()

message(STATUS "")
message(STATUS "   +---------------------------+")
message(STATUS "   |  GRIB API version ${GRIB_API_VERSION}  |")
message(STATUS "   |  Configuration completed  |")
message(STATUS "   +---------------------------+")
message(STATUS "")
message(STATUS "   You can now do 'make' to compile the package, 'ctest' to test it and 'make install' to install it afterwards.")
message(STATUS "")
message(STATUS "")

=== tests/CMakeLists.txt ===
# tests/CMakeLists.txt
#
# Configure the file which all CMake tests will include
configure_file( include.ctest.sh.in  include.ctest.sh @ONLY )

# Build the executables used by test scripts
################################################
list( APPEND test_bins
      read_any
      julian
      index
      multi_from_message
      read_index
      unit_tests
      gauss_sub
)

foreach( tool ${test_bins} )
    # here we use the fact that each tool has only one C file that matches its name
    ecbuild_add_executable( TARGET    ${tool}
                            NOINSTALL
                            SOURCES   ${tool}.c
                            LIBS      grib_api
    )
endforeach()

# Now add each test (shell scripts)
#################################################
list( APPEND tests1
    definitions
    calendar
    unit_tests
	uerra
)
list( APPEND tests2
    ieee
    grib1to2
    grib2to1
    badgrib
    ls
    filter
    multi
    budg
    gridType
    global
    concept
    decimalPrecision
    bitsPerValue
    get_fail
    missing
    local
    step
    set
    iterator
    compare
    level
    index
    bitmap
    list
    second_order
    multi_from_message
    change_scanning
    julian
    statistics
    tigge
    tigge_conversions
    read_any
    padding
    debug
)

# These tests do not require any data downloads
foreach( test ${tests1} )
    ecbuild_add_test( TARGET t_${test}
                  TYPE SCRIPT
                  COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/${test}.sh
                  RESOURCES include.sh utils.sh
    )
endforeach()

# Note: making the test dependent on the grib files (with DEPENDS)
#       means they will be downloaded at "make" time
#       rather than when you do "make test". Use TEST_DEPENDS instead
foreach( test ${tests2} )
    ecbuild_add_test( TARGET t_${test}
                  TYPE SCRIPT
                  # DEPENDS get_gribs get_tigge_gribs
                  COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/${test}.sh
                  RESOURCES include.sh
                  TEST_DEPENDS get_gribs get_tigge_gribs
    )
endforeach()

###########################################
# Note: the reference file is in the tests dir not data dir!
ecbuild_add_test( TARGET t_lamb_az_eq_area
                  TYPE SCRIPT
                  COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/lamb_az_eq_area.sh
                  RESOURCES include.sh lamb_az_eq_area.ref
                  TEST_DEPENDS get_gribs
)

# These ones are conditional
ecbuild_add_test( TARGET t_grib_to_netcdf
                  TYPE SCRIPT
                  CONDITION HAVE_NETCDF
                  COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/grib_to_netcdf.sh
                  RESOURCES include.sh
                  TEST_DEPENDS get_gribs
)

ecbuild_add_test( TARGET t_jpeg
                  TYPE SCRIPT
                  CONDITION HAVE_JPEG
                  COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/jpeg.sh
                  RESOURCES include.sh
                  TEST_DEPENDS get_gribs
)

ecbuild_add_test( TARGET t_ccsds
                  TYPE SCRIPT
                  CONDITION HAVE_AEC
                  COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/ccsds.sh
                  RESOURCES include.sh
                  TEST_DEPENDS get_gribs
)

=== debian/changelog ===
grib-api (1.14.7-2) unstable; urgency=medium

  * Add "|| true" to mips conditional to allow build on mips
  * Also avoid tests on hppa which can timeout
  *  Ack. which patches have been forwarded to ECMWF
  * Add examples/ to libgrib-api-dev. Closes: #574961
  * Ack. old bug fixed in previous release. Closes: #745265

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 Mar 2016 11:33:08 +0000

grib-api (1.14.7-1) unstable; urgency=medium

  * New upstream release.
  * Enable all tests on non-mips archs. Work on mips, but can time out on
   low-powered machines. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 20 Mar 2016 16:06:22 +0000

grib-api (1.14.5-6) experimental; urgency=medium

  * Enable all non-download tests. 
  * Add static-fix.patch to fix shadowed usage() functions. 
    Closes: #752732.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 12 Mar 2016 18:06:48 +0000

grib-api (1.14.5-6) unstable; urgency=medium

  * Set _FILE_OFFSET_BITS=64 on Hurd. (hurd.patch). Closes: #817265

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 10 Mar 2016 07:18:29 +0000

grib-api (1.14.5-5) unstable; urgency=medium

  * Fix FTBFS with -A (arch indep) builds. Closes: #817127.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 09 Mar 2016 06:51:55 +0000

grib-api (1.14.5-4) unstable; urgency=medium

  * Also conflict with libjasper-dev to ensure clean build

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 02 Mar 2016 22:32:15 +0000

grib-api (1.14.5-3) unstable; urgency=medium

  * Also remove dependencies from libgrib-api-dev on libjasper-dev.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 01 Mar 2016 18:15:44 +0000

grib-api (1.14.5-2) unstable; urgency=medium

  * Add netcdf, boost, hdf5, build-dependencies
  * disable more download depends.
   -  Disable tests until network tests issue fixed.
  * Remove jasper dependencies in favour of openjpeg;
    Jasper dropped from Debian due to security concerns
    (unsupported upstream).
  * Move to Standards-Version: 3.9.7
  * Ack. that we now buld python package. Closes: #792477.
  * Patch: Move python from distutils -> setuptools.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 29 Feb 2016 14:14:48 +0000

grib-api (1.14.5-1) experimental; urgency=medium

  * New upstream release.
  * Change maintainer as Enrico steps down. Closes: #813235.
  * Add test data package.
  * Enable tests, network tests disabled.
  * Use xz compression.
  * Move docs to grib-api-doc package.
  * Build-Conflict on libgrib-api0 to avoid errors in tests
  * Add B-D on chrpath, remove hdf5 lib paths from grib_to_netcdf

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 06 Feb 2016 07:55:46 +0000

=== debian/control ===
Source: grib-api
Section: libdevel
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Uploaders: Enrico Zini <enrico@debian.org>
Build-Depends: debhelper (>= 9), dh-buildinfo, cmake,
  libjpeg-dev, libpng-dev, gfortran, flex, bison, quilt,
  libnetcdf-dev, libopenjpeg-dev, libboost-dev, libhdf5-dev, 
  curl, python-all-dev, python-numpy, dh-python, chrpath,
  python-setuptools, python3-setuptools,
  libaec-dev
Standards-Version: 3.9.7
Build-Conflicts: libgrib-api-dev, libgrib-api0, libjasper-dev
X-Python-Version: >= 2.6
Homepage: https://software.ecmwf.int/wiki/display/GRIB/Home
Vcs-Git: git://anonscm.debian.org/collab-maint/gribapi.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gribapi.git

Package: libgrib-api0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libgrib-api-data (<< 1.9.0~)
Breaks: libgrib-api-data (<< 1.9.0~)
Conflicts: libgrib-api-0d-0, libgrib-api-0d-1, libgrib-api-1.9.9, libgrib-api-1.9.16, libgrib-api-1.10.4
Description: GRIB decoding/encoding software library
 The ECMWF GRIB API is an application program interface accessible from C and
 FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
 and edition 2 messages.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

Package: libgrib-api-dev
Section: libdevel
Architecture: any
Depends: libgrib-api0 (= ${binary:Version}), ${misc:Depends}, 
 libaec-dev, libpng-dev, libjpeg-dev, zlib1g-dev
Description: GRIB decoding/encoding software library (development)
 The ECMWF GRIB API is an application program interface accessible from C and
 FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
 and edition 2 messages.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.
 
Package: libgrib-api-tools
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GRIB decoding/encoding software (utilities)
 The ECMWF GRIB API is an application program interface accessible from C and
 FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
 and edition 2 messages.
 .
 This is a useful set of command line tools to give quick access to grib
 messages.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

Package: libgrib-api-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: GRIB decoding/encoding software (documentation)
 The ECMWF GRIB API is an application program interface accessible from C and
 FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
 and edition 2 messages.
 .
 This provides the documentation for the library.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

Package: python-gribapi
Section: python
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Python module for the ECMWF GRIB API library
 The ECMWF GRIB API is an application program interface accessible from C and
 FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
 and edition 2 messages.
 .
 This is a Python wrapper for the GRIB API library.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_PREPEND := -Wl,-z,defs -Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
BUILDDIR=$(CURDIR)/debian/build
UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p' | sed -e 's/\+.*//; s/^[0-9]://')

# For hardening
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS) #  -fPIC
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export LDFLAGS CFLAGS CXXFLAGS

# Don't test on mips. will time out most of the time on low-powered archs
DO_TEST:=true
ARCH:=$(shell dpkg --print-architecture)
ifeq ($(ARCH), mips)
DO_TEST:=false
endif
ifeq ($(ARCH),hppa)
DO_TEST:=false
endif

%:
	dh $@ --buildsystem=cmake --with=python2 --builddirectory=$(BUILDDIR)

override_dh_auto_configure:
	F77=gfortran dh_auto_configure -- \
	    -DCMAKE_BUILD_TYPE=Release \
	    -DDISABLE_OS_CHECK=ON \
	    -DENABLE_PNG=ON -DENABLE_PYTHON=ON \
	    -DENABLE_AEC=ON \
	    -DENABLE_RPATHS=OFF \
	    -DHAVE_BIT_REPRODUCIBLE=ON \
	    -DCFLAGS="${CFLAGS} ${LDFLAGS}" \
	    -DENABLE_ALIGN_MEMORY=ON -DENABLE_GRIB_TIMER=ON \
		-DENABLE_GRIB_THREADS=ON 
	( cd $(BUILDDIR)/data ; tar axpf ../../../../grib-api_$(UPSTREAM_VERSION).orig-data.tar.xz )
#	    -DENABLE_MEMORY_MANAGEMENT=ON \

override_dh_auto_test:
	$(DO_TEST) && ( LD_LIBRARY_PATH=$(CURDIR)/debian/build/lib dh_auto_test  ) || true

override_dh_install:
	for d in libgrib_api_f77.so  libgrib_api_f90.so	libgrib_api.so ; do \
		mv debian/tmp/usr/lib/$$d.0 debian/tmp/usr/lib/$$d.0.0.0 ; done
	dh_numpy
	# Make properly visible
	mv debian/tmp/usr/lib/python2.7/site-packages/grib_api debian/tmp/usr/lib/python2.7/site-packages/gribapi
	mv debian/tmp/usr/lib/python2.7/site-packages/gribapi/gribapi.py debian/tmp/usr/lib/python2.7/site-packages/gribapi/__init__.py
	dh_install
	find . -name grib_to_netcdf -exec chrpath -d {} \;
	# Setup cmake files for magics++, metview, etc.
	mkdir -p debian/libgrib-api-dev/$(LIBDIR)/cmake/grib_api
	cp debian/tmp/usr/share/grib_api/cmake/* debian/libgrib-api-dev/$(LIBDIR)/cmake/grib_api
	sed -e 's%$${_IMPORT_PREFIX}%/usr%' \
	       < debian/tmp/usr/share/grib_api//cmake/grib_api-targets-release.cmake \
              > debian/libgrib-api-dev/$(LIBDIR)/cmake/grib_api/grib_api-targets-release.cmake

override_dh_auto_clean:
	dh_auto_clean
	# Things that upstream leaves behind
	rm -f python/gribapi.pyc
	rm -f tests/bitmap.rules tests/out.grib1 tests/out.grib2 tests/out.gribidx \
	      tests/rules tests/simple_ieee_test.grib1.txt tests/statistics.filter \
	      tests/statistics.out tests/x.grib \
	      data/change_scanning_rotated_ll.filter examples/F90/index.idx

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/libgrib-api0/usr/share/grib_api/definitions/installDefinitions.sh
	chmod -x debian/libgrib-api-dev/usr/share/doc/libgrib-api-dev/examples/python/README
	test -e /usr/bin/dh_buildinfo && dh_buildinfo

## grib-api 1.15.0

=== CMakeLists.txt ===
# data/CMakeLists.txt
add_subdirectory(tigge)

# Download all the binary GRIB data from website

file(READ "grib_data_files.txt" files_to_download)
string(REGEX REPLACE "\n" ";" files_to_download "${files_to_download}")
if( HAVE_AEC )
    list(APPEND files_to_download ccsds.grib2)
endif()


# Download all data files doing md5 check on each
ecbuild_get_test_multidata( TARGET grib_api_download_gribs
                            NAMES ${files_to_download} )

# Copy other files - e.g. reference data, text files etc from the source data dir
LIST(APPEND other_files
    60_model_levels
    bitmap.diff
    ieee_test.good
    index.ok
    index_f90.ok
    julian.out.good
    list_points
    local.good.log
    ls.log
    multi.ok
    multi_step.txt
    no_bitmap.diff
    read_any.ok
    scan_x_regular_gg_5_7_good.dump
    scan_x_regular_ll_5_4_good.dump
    scan_x_regular_ll_5_7_good.dump
    scan_x_regular_ll_8_4_good.dump
    scan_x_regular_ll_8_7_good.dump
    scan_x_rotated_ll_5_4_good.dump
    scan_x_rotated_ll_5_7_good.dump
    scan_x_rotated_ll_8_4_good.dump
    scan_x_rotated_ll_8_7_good.dump
    scan_y_regular_ll_5_4_good.dump
    scan_y_regular_ll_5_7_good.dump
    scan_y_regular_ll_8_4_good.dump
    scan_y_regular_ll_8_7_good.dump
    scan_y_rotated_ll_5_4_good.dump
    scan_y_rotated_ll_5_7_good.dump
    scan_y_rotated_ll_8_4_good.dump
    scan_y_rotated_ll_8_7_good.dump
    spherical_model_level.grib1.good
    spherical_model_level.grib1_32.good
    statistics.out.good
    step.log
    step_grib1.filter
    step_grib1.log
    typeOfProcessedData.ok
    tigge_pf_ecmwf.grib2.ref
)

foreach( file ${other_files} )
   execute_process( COMMAND ${CMAKE_COMMAND} -E copy_if_different ${CMAKE_CURRENT_SOURCE_DIR}/${file} ${CMAKE_CURRENT_BINARY_DIR} )
endforeach()

=== debian/changelog ===
grib-api (1.15.0-4) unstable; urgency=medium

  Bugfixes to python3 support
  * Enable testing.
  Typo. Ack Closing FTBFS. Closes: #820986.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 16 Jun 2016 11:43:41 +0100

grib-api (1.15.0-3) experimental; urgency=medium

  * Add python3 support

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 12 Jun 2016 18:05:32 +0100

grib-api (1.15.0-2) unstable; urgency=medium

  * Remove png, openjpeg from cmake files so that magics++, etc. have 
    no unnecessary dependencies.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 12 Jun 2016 18:05:18 +0100

grib-api (1.15.0-1) unstable; urgency=medium

  * New upstream release.
  * Use OpenMP rather than POSIX threads.
   - patch omp-fix.patch needed
  * Fix FTBFS on dpkg-buildpackage -A. Closes: ##820986
  * Don't call dh_buildinfo conditionally. Closes: #820990
  * Standards-Version: 3.9.8

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 27 Apr 2016 19:00:40 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,13 @@
 Build-Depends: debhelper (>= 9), dh-buildinfo, cmake,
   libjpeg-dev, libpng-dev, gfortran, flex, bison, quilt,
   libnetcdf-dev, libopenjpeg-dev, libboost-dev, libhdf5-dev, 
-  curl, python-all-dev, python-numpy, dh-python, chrpath,
+  curl,swig, 
+  python3-all-dev,  python3-numpy, python3-six,
+  python-all-dev, python-numpy, python-six,
+  dh-python, chrpath, 
   python-setuptools, python3-setuptools,
   libaec-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Build-Conflicts: libgrib-api-dev, libgrib-api0, libjasper-dev
 X-Python-Version: >= 2.6
 Homepage: https://software.ecmwf.int/wiki/display/GRIB/Home
@@ -82,3 +85,18 @@
  This is a Python wrapper for the GRIB API library.
  .
  ECMWF is the European Centre for Medium-Range Weather Forecasts.
+
+Package: python3-gribapi
+Section: python
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
+Provides: ${python3:Provides}
+Description: Python3 module for the ECMWF GRIB API library
+ The ECMWF GRIB API is an application program interface accessible from C and
+ FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
+ and edition 2 messages.
+ .
+ This is a Python3 wrapper for the GRIB API library.
+ .
+ ECMWF is the European Centre for Medium-Range Weather Forecasts.
+

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DEB_LDFLAGS_MAINT_PREPEND := -Wl,-z,defs -Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
BUILDDIR=$(CURDIR)/debian/build
UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p' | sed -e 's/\+.*//; s/^[0-9]://')

# For hardening
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS) #  -fPIC
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export LDFLAGS CFLAGS CXXFLAGS

# Don't test on mips. will time out most of the time on low-powered archs
DO_TEST:=true
ARCH:=$(shell dpkg --print-architecture)
ifeq ($(ARCH), mips)
DO_TEST:=false
endif
ifeq ($(ARCH),hppa)
DO_TEST:=false
endif

BUILD_FLAGS =  \
	    -DCMAKE_BUILD_TYPE=Release \
	    -DDISABLE_OS_CHECK=ON \
	    -DENABLE_PNG=ON -DENABLE_PYTHON=ON \
	    -DENABLE_AEC=ON \
	    -DENABLE_RPATHS=OFF \
	    -DENABLE_RELATIVE_RPATHS=OFF \
	    -DHAVE_BIT_REPRODUCIBLE=ON \
	    -DCFLAGS="${CFLAGS} ${LDFLAGS}" \
	    -DENABLE_ALIGN_MEMORY=ON -DENABLE_GRIB_TIMER=ON \
	    -DENABLE_GRIB_OMP_THREADS=ON

%:
	dh $@ --buildsystem=cmake --with=python2,python3

override_dh_auto_configure:
	F77=gfortran dh_auto_configure --builddirectory=debian/build-py3  -- \
		-DPYTHON_EXECUTABLE=/usr/bin/python3 \
		${BUILD_FLAGS} 
	F77=gfortran dh_auto_configure --builddirectory=debian/build-py2  -- \
		-DPYTHON_EXECUTABLE=/usr/bin/python2 \
		${BUILD_FLAGS}
	( cd debian/build-py3/data ; tar axpf $(CURDIR)/../grib-api_$(UPSTREAM_VERSION).orig-data.tar.xz )
	( cd debian/build-py2/data ; tar axpf $(CURDIR)/../grib-api_$(UPSTREAM_VERSION).orig-data.tar.xz )
#	    -DENABLE_MEMORY_MANAGEMENT=ON \


override_dh_auto_build:
	dh_auto_build  --builddirectory=debian/build-py2
	dh_auto_build  --builddirectory=debian/build-py3 

override_dh_auto_install:
	dh_auto_install  --builddirectory=debian/build-py2
	dh_auto_install  --builddirectory=debian/build-py3 

override_dh_auto_test:
	$(DO_TEST) && ( LD_LIBRARY_PATH=$(CURDIR)/debian/build-py2/lib \
		dh_auto_test --builddirectory=debian/build-py2  ) || true
	$(DO_TEST) && ( LD_LIBRARY_PATH=$(CURDIR)/debian/build-py3/lib \
		dh_auto_test --builddirectory=debian/build-py3  ) || true

override_dh_install:
	for d in libgrib_api_f77.so  libgrib_api_f90.so	libgrib_api.so ; do \
		cp debian/tmp/usr/lib/$$d.0 debian/tmp/usr/lib/$$d.0.0.0 ; \
		chrpath -d debian/tmp/usr/lib/$$d.0.0.0 ; done
	chrpath -d ./debian/tmp/usr/lib/python*/site-packages/gribapi/_gribapi_swig.so
	for d in debian/tmp/usr/bin/* ; do \
		( chrpath -d $$d || echo "Ignoring chrpath error for non-ELF $d" ); \
		done
	mv debian/tmp/usr/ifs_samples debian/tmp/usr/share/grib_api
	dh_numpy
	dh_install
	# Setup cmake files for magics++, metview, etc.
	mkdir -p debian/libgrib-api-dev/$(LIBDIR)/cmake/grib_api
	cp debian/tmp/usr/share/grib_api/cmake/* debian/libgrib-api-dev/$(LIBDIR)/cmake/grib_api
	sed -e 's%$${_IMPORT_PREFIX}%/usr%' \
	       < debian/tmp/usr/share/grib_api//cmake/grib_api-targets-release.cmake | \
	sed -e 's%${LIBDIR}/libopenjpeg.so;%%' | sed -e 's%;${LIBDIR}/libpng.so%%g' \
              > debian/libgrib-api-dev/$(LIBDIR)/cmake/grib_api/grib_api-targets-release.cmake
	sed -e 's%;${LIBDIR}/libopenjpeg.so%%g' \
		< debian/tmp/usr/share/grib_api//cmake/grib_api-config.cmake | \
	sed -e 's%;${LIBDIR}/libpng.so%%g' \
		> debian/libgrib-api-dev/$(LIBDIR)/cmake/grib_api/grib_api-config.cmake

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/build-*
	# Things that upstream leaves behind
	rm -f python/gribapi.pyc
	rm -f tests/bitmap.rules tests/out.grib1 tests/out.grib2 tests/out.gribidx \
	      tests/rules tests/simple_ieee_test.grib1.txt tests/statistics.filter \
	      tests/statistics.out tests/x.grib \
	      data/change_scanning_rotated_ll.filter examples/F90/index.idx

override_dh_fixperms-arch:
	dh_fixperms
	chmod +x debian/libgrib-api0/usr/share/grib_api/definitions/installDefinitions.sh
	chmod -x debian/libgrib-api-dev/usr/share/doc/libgrib-api-dev/examples/python/README

## grib-api 1.16.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,7 @@
 # Download all data files doing md5 check on each
 ecbuild_get_test_multidata( TARGET grib_api_download_gribs
                             NAMES ${files_to_download} )
+set_property( TEST grib_api_download_gribs APPEND PROPERTY LABELS download_data )
 
 # Copy other files - e.g. reference data, text files etc from the source data dir
 LIST(APPEND other_files

=== debian/changelog ===
grib-api (1.16.0-6) unstable; urgency=medium

  * Patch from Bas Couwenberg for library path in cmake module.
    Closes: #843634.	 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 15 Aug 2016 04:41:55 +0100

grib-api (1.16.0-5) unstable; urgency=medium

  * Sanitise cmake/* scripts more to remove all dependencies.
    Closes: #834107.
  * tools package now recommends: python*-gribapi packages.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 12 Aug 2016 11:57:44 +0100

grib-api (1.16.0-4) unstable; urgency=medium

  * openjpeg2 patch: fix compression ratio regression.
  * -dev, -tools pkgs now conflict with eccodes variants.
  * Fixes to python test failures - changes in py3 file handling

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 02 Aug 2016 19:23:41 +0100

grib-api (1.16.0-3) unstable; urgency=medium

  * Patch for openjpeg2 support.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 23 Jul 2016 10:18:18 +0100

grib-api (1.16.0-2) unstable; urgency=medium

  * Temporarily disable openjpeg support. Closes: #826816.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 22 Jul 2016 21:50:11 +0100

grib-api (1.16.0-1) unstable; urgency=medium

  * New upstream release
    - OMP patch merged upstream
  * Call dh_numpy3 in rules. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 08 Jul 2016 11:40:37 +0100

grib-api (1.15.0-6) unstable; urgency=medium

  * Sanitize cmake files: remove python references that break magics++

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 07 Jul 2016 16:40:23 +0100

grib-api (1.15.0-5) unstable; urgency=medium

  * Patch from Chris Lamb to remove .pyc files and make build reproducible.
    Closes: #828067.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 04 Jul 2016 11:07:09 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: Enrico Zini <enrico@debian.org>
 Build-Depends: debhelper (>= 9), dh-buildinfo, cmake,
   libjpeg-dev, libpng-dev, gfortran, flex, bison, quilt,
-  libnetcdf-dev, libopenjpeg-dev, libboost-dev, libhdf5-dev, 
+  libnetcdf-dev, libboost-dev, libhdf5-dev, 
+  libopenjp2-7-dev,
   curl,swig, 
   python3-all-dev,  python3-numpy, python3-six,
   python-all-dev, python-numpy, python-six,
@@ -13,7 +14,7 @@
   python-setuptools, python3-setuptools,
   libaec-dev
 Standards-Version: 3.9.8
-Build-Conflicts: libgrib-api-dev, libgrib-api0, libjasper-dev
+Build-Conflicts: libgrib-api-dev, libjasper-dev, libopenjpeg-dev
 X-Python-Version: >= 2.6
 Homepage: https://software.ecmwf.int/wiki/display/GRIB/Home
 Vcs-Git: git://anonscm.debian.org/collab-maint/gribapi.git
@@ -38,6 +39,7 @@
 Architecture: any
 Depends: libgrib-api0 (= ${binary:Version}), ${misc:Depends}, 
  libaec-dev, libpng-dev, libjpeg-dev, zlib1g-dev
+Conflicts: libeccodes-dev
 Description: GRIB decoding/encoding software library (development)
  The ECMWF GRIB API is an application program interface accessible from C and
  FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
@@ -49,6 +51,8 @@
 Section: utils
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: python3-gribapi, python-gribapi
+Conflicts: libeccodes-dev
 Description: GRIB decoding/encoding software (utilities)
  The ECMWF GRIB API is an application program interface accessible from C and
  FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,8 @@
 CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS) #  -fPIC
 CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
 LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
+
+PY3VERSM:=$(shell py3versions -d)m
 
 export LDFLAGS CFLAGS CXXFLAGS
 
@@ -62,9 +64,12 @@
 	dh_auto_install  --builddirectory=debian/build-py3 
 
 override_dh_auto_test:
-	$(DO_TEST) && ( LD_LIBRARY_PATH=$(CURDIR)/debian/build-py2/lib \
+	# We need python code properly installed in debian/tmp to separate python2, python3 extensions when testing
+	(cd debian/build-py2 && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp AM_UPDATE_INFO_DIR=no)
+	(cd debian/build-py3 && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp AM_UPDATE_INFO_DIR=no)
+	$(DO_TEST) && ( LD_LIBRARY_PATH=$(CURDIR)/debian/build-py2/lib ; PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/site-packages \
 		dh_auto_test --builddirectory=debian/build-py2  ) || true
-	$(DO_TEST) && ( LD_LIBRARY_PATH=$(CURDIR)/debian/build-py3/lib \
+	$(DO_TEST) && ( LD_LIBRARY_PATH=$(CURDIR)/debian/build-py3/lib ; PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3.5/site-packages \
 		dh_auto_test --builddirectory=debian/build-py3  ) || true
 
 override_dh_install:
@@ -75,19 +80,22 @@
 	for d in debian/tmp/usr/bin/* ; do \
 		( chrpath -d $$d || echo "Ignoring chrpath error for non-ELF $d" ); \
 		done
-	mv debian/tmp/usr/ifs_samples debian/tmp/usr/share/grib_api
 	dh_numpy
+	dh_numpy3
 	dh_install
+	#
 	# Setup cmake files for magics++, metview, etc.
+	#
 	mkdir -p debian/libgrib-api-dev/$(LIBDIR)/cmake/grib_api
 	cp debian/tmp/usr/share/grib_api/cmake/* debian/libgrib-api-dev/$(LIBDIR)/cmake/grib_api
-	sed -e 's%$${_IMPORT_PREFIX}%/usr%' \
-	       < debian/tmp/usr/share/grib_api//cmake/grib_api-targets-release.cmake | \
-	sed -e 's%${LIBDIR}/libopenjpeg.so;%%' | sed -e 's%;${LIBDIR}/libpng.so%%g' \
-              > debian/libgrib-api-dev/$(LIBDIR)/cmake/grib_api/grib_api-targets-release.cmake
-	sed -e 's%;${LIBDIR}/libopenjpeg.so%%g' \
-		< debian/tmp/usr/share/grib_api//cmake/grib_api-config.cmake | \
-	sed -e 's%;${LIBDIR}/libpng.so%%g' \
+	cat debian/tmp/usr/share/grib_api//cmake/grib_api-targets-release.cmake | \
+	sed -e 's% *IMPORTED_LINK_INTERFACE_LIBRARIES_RELEASE.*%  IMPORTED_LINK_INTERFACE_LIBRARIES_RELEASE ""%' \
+		-e 's%$${_IMPORT_PREFIX}%/usr%g' \
+                > debian/libgrib-api-dev/$(LIBDIR)/cmake/grib_api/grib_api-targets-release.cmake
+	cat debian/tmp/usr/share/grib_api//cmake/grib_api-config.cmake | \
+	sed -e 's%^set( grib_api_BASE_DIR.*%set ( grib_api_BASE_DIR /build/grib-api )%' | \
+	sed -e 's%^set( GRIB_API_TPLS.*%set( GRIB_API_TPLS "")%' | \
+	sed -e 's%^set( GRIB_API_TPL_LIBRARIES.*%set( GRIB_API_TPL_LIBRARIES "" )%' \
 		> debian/libgrib-api-dev/$(LIBDIR)/cmake/grib_api/grib_api-config.cmake
 
 override_dh_auto_clean:
@@ -100,7 +108,10 @@
 	      tests/statistics.out tests/x.grib \
 	      data/change_scanning_rotated_ll.filter examples/F90/index.idx
 
+override_dh_installexamples:
+	dh_installexamples -X.pyc
+
 override_dh_fixperms-arch:
 	dh_fixperms
-	chmod +x debian/libgrib-api0/usr/share/grib_api/definitions/installDefinitions.sh
-	chmod -x debian/libgrib-api-dev/usr/share/doc/libgrib-api-dev/examples/python/README
+	chmod 755 debian/libgrib-api0/usr/share/grib_api/definitions/installDefinitions.sh
+	chmod 644 debian/libgrib-api-dev/usr/share/doc/libgrib-api-dev/examples/python/README

## grib-api 1.18.0

=== examples/python/CMakeLists.txt ===
# examples/python/CMakeLists.txt

# Configure the file which all CMake tests will include
configure_file( include.ctest.sh.in  include.ctest.sh  @ONLY )

execute_process( COMMAND ${CMAKE_COMMAND} -E copy_if_different ${CMAKE_CURRENT_SOURCE_DIR}/include.sh ${CMAKE_CURRENT_BINARY_DIR} )

# Build the executables used by test scripts
################################################
list( APPEND test_bins
   keys_iterator
   print_data
   iterator
   count_messages
)

foreach( tool ${test_bins} )
   ecbuild_add_executable( TARGET    p_${tool}
                           NOINSTALL
                           SOURCES   ${tool}.c
                           CONDITION HAVE_PYTHON
                           LIBS      grib_api
   )
   list( APPEND ptools  p_${tool} )
endforeach()


# Now add each test
#################################################
list( APPEND tests
   clone
   count_messages
   get
   index
   iterator
   keys_iterator
   multi_write
   nearest
   print_data
   samples
   set
   set_missing
   binary_message
   set_bitmap
)

# The high level python test requires new features in the unittest
# which are only there for python 2.7 onwards
#if( PYTHON_VERSION_STRING VERSION_GREATER "2.7" )
#    ecbuild_info("Python examples: Adding test for PythonicGrib")
#    list( APPEND tests high_level_api )
#endif()

foreach( test ${tests} )
    ecbuild_add_test( TARGET grib_api_p_${test}_test
                      TYPE       SCRIPT
                      DEPENDS    ${ptools}
                      COMMAND    ${CMAKE_CURRENT_SOURCE_DIR}/${test}.sh
                      CONDITION  HAVE_PYTHON
                      ENVIRONMENT PYTHON=${PYTHON_EXECUTABLE}
                      TEST_DEPENDS grib_api_download_gribs grib_api_download_tigge_gribs
    )
endforeach()

=== debian/changelog ===
grib-api (1.18.0-1) unstable; urgency=medium

  * New upstream release
  * DH_COMPAT=10

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 28 Oct 2016 14:03:08 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Uploaders: Enrico Zini <enrico@debian.org>
-Build-Depends: debhelper (>= 9), dh-buildinfo, cmake,
+Build-Depends: debhelper (>= 10), dh-buildinfo, cmake,
   libjpeg-dev, libpng-dev, gfortran, flex, bison, quilt,
   libnetcdf-dev, libboost-dev, libhdf5-dev, 
   libopenjp2-7-dev,
